Bug 1816251 - python-missingno fails to build in Fedora 32+: Too new geoplot
Summary: python-missingno fails to build in Fedora 32+: Too new geoplot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-missingno
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-03-23 16:33 UTC by Miro Hrončok
Modified: 2020-04-07 13:15 UTC (History)
6 users (show)

Fixed In Version: python-missingno-0.4.2-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-07 05:04:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-03-23 16:33:52 UTC
python-missingno fails to build in Fedora 32 and rawhide:

ERROR: test_geoplot_quadtree (viz_tests.TestGeoplot)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/missingno-0.4.2/tests/viz_tests.py", line 139, in test_geoplot_quadtree
    msno.geoplot(self.x_y_df, x='r0', y='r1')
  File "/builddir/build/BUILD/missingno-0.4.2/missingno/missingno.py", line 506, in geoplot
    raise ImportError(
ImportError: The missingno geoplot function requires geoplot package version 0.2.4 or lower.To use the geoplot function, downgrade to an older version of the geoplot package.

https://koschei.fedoraproject.org/package/python-missingno?collection=f33
https://koschei.fedoraproject.org/package/python-missingno?collection=f32


If the functionality is optional, maybe the test shall be skipped for now? Is there an upstream change to backport to support newer geoplot?


This blocks the Python 3.9 rebuild.

For the build logs with Python 3.9, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01313712-python-missingno/

For all our attempts to build python-missingno with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-missingno/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Fedora Release Engineering 2020-03-29 04:29:03 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-05-18).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 2 Ankur Sinha (FranciscoD) 2020-03-29 09:04:38 UTC
+1, upstream has deprecated the function already, so I'll disable it and rebuild.

https://github.com/ResidentMario/missingno/commit/5b99ad5840f4fef8169e50b0e542eae9ea5cd00e

Sorry for the delay.

Comment 3 Ankur Sinha (FranciscoD) 2020-03-29 09:44:30 UTC
Update pushed, not sure why bodhi hasn't updated bugzilla yet. Perhaps it'll happen later.

Comment 4 Fedora Update System 2020-03-29 17:51:22 UTC
FEDORA-2020-044b45e4a1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-044b45e4a1

Comment 5 Fedora Update System 2020-03-30 03:00:32 UTC
FEDORA-2020-044b45e4a1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-044b45e4a1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-044b45e4a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-07 05:04:26 UTC
FEDORA-2020-044b45e4a1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-04-07 13:15:35 UTC
FEDORA-2020-044b45e4a1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.